Ticket #112 (closed task: fixed)

Opened 4 years ago

Last modified 4 years ago

'Translation/Keyboard in anaconda' Test Day - 2010/09/16

Reported by: rhe Owned by: rhe
Priority: major Milestone: Fedora 14
Component: Test Day Version:
Keywords: Cc: igorsoares@…,noriko@…,petersen@…,j_dulaney@…
Blocked By: Blocking:

Description

As talked with Igor in test list, this test day will be held on 2010/09/09, this ticket is used to track this event.

So far, we have Category:I18n_Installation as test cases for this test day. But these tests need be modified, and maybe new tests will be added to have a better coverage for testing.

Please mark this day in your calender, and help gathering participation by announcing it both inside and outside the teams when it's coming.

If you have any concern, feel free to reply directly in this ticket.

Many thanks,

Hurry

Change History

comment:1 follow-up: ↓ 3 Changed 4 years ago by igor

I sent an email to the L10N list announcing the test day and requesting feedback from translators and team coordinators: http://lists.fedoraproject.org/pipermail/trans/2010-July/007857.html

Based on their feedback we can change the existing test cases in order to make them more suitable for the test day.

comment:2 follow-up: ↓ 4 Changed 4 years ago by noriko

It would be kind for translators if each test case page contains 'where and how to report if failed' information.

If good number of translators have interest to join, this event would be better included in the trans-task schedule so that the reminder by John to be sent automatically on time.

comment:3 in reply to: ↑ 1 Changed 4 years ago by rhe

  • Status changed from new to assigned

Replying to igor:

I sent an email to the L10N list announcing the test day and requesting feedback from translators and team coordinators: http://lists.fedoraproject.org/pipermail/trans/2010-July/007857.html

Based on their feedback we can change the existing test cases in order to make them more suitable for the test day.

Thanks a lot Igor, hopefully we can get some suggestion on these tests. And if you have any thoughts, feel free to improve, or discuss with them here as well. :)

comment:4 in reply to: ↑ 2 Changed 4 years ago by rhe

Replying to noriko:

It would be kind for translators if each test case page contains 'where and how to report if failed' information.

You are right. But on that day, its test day page(example page) will be provided with detailed instructions for testers.

If good number of translators have interest to join, this event would be better included in the trans-task schedule so that the reminder by John to be sent automatically on time.

Thanks, an announcement will also be sent out as a reminder one or two days before the test day.

comment:5 follow-ups: ↓ 6 ↓ 7 Changed 4 years ago by igor

I started writing a draft page for the test day: https://fedoraproject.org/wiki/Test_Day:2010-09-09_AnacondaTranslationKeyboard

We need to discuss some details such as:

  • Time - Maybe you guys can suggest an UTC time that might be good for you. Normally I'm available between 14 UTC - 19 UTC and 23 UTC - 04:00 UTC just to let you know.
  • I'm not sure if a smolt profile helps in those tests. IMHO requiring them might add unnecessary complexity for users who are willing to participate since the profiles don't show the keyboard layout, only the language.
  • Which test image will we use, that one specific for translators or an updated nightly build? IMHO we should use the one more updated at the time.

comment:6 in reply to: ↑ 5 Changed 4 years ago by rhe

Hi Igor,

Sorry I didn't reply to this thread in time. I'm quite busy executing release validation tests these days. Will concentrate on this event as soon as I have time this week.

Thanks, Hurry

Replying to igor:

I started writing a draft page for the test day: https://fedoraproject.org/wiki/Test_Day:2010-09-09_AnacondaTranslationKeyboard

We need to discuss some details such as:

  • Time - Maybe you guys can suggest an UTC time that might be good for you. Normally I'm available between 14 UTC - 19 UTC and 23 UTC - 04:00 UTC just to let you know.
  • I'm not sure if a smolt profile helps in those tests. IMHO requiring them might add unnecessary complexity for users who are willing to participate since the profiles don't show the keyboard layout, only the language.
  • Which test image will we use, that one specific for translators or an updated nightly build? IMHO we should use the one more updated at the time.

comment:7 in reply to: ↑ 5 ; follow-up: ↓ 8 Changed 4 years ago by rhe

Hi Igor,

Sorry for the delay, finally I got the time to concentrate on it. I've read https://fedoraproject.org/wiki/Test_Day:2010-09-09_AnacondaTranslationKeyboard and made some modification on it, please review it. The main changes include:

  • The test day time changed to 'all day', since testers from different time zones will attend it.
  • Besides live image, I added pre-release candidates(Supposed to be F14 Beta TC) as requirements for testing.
  • The test result table changed for testers to offer results.

Replying to igor:

I started writing a draft page for the test day: https://fedoraproject.org/wiki/Test_Day:2010-09-09_AnacondaTranslationKeyboard

We need to discuss some details such as:

  • Time - Maybe you guys can suggest an UTC time that might be good for you. Normally I'm available between 14 UTC - 19 UTC and 23 UTC - 04:00 UTC just to let you know.

I'm normally available from 1 UTC - 11 UTC, and members from your team and i18n team can also come for help, so let's just write down 'all day' there. :)

  • I'm not sure if a smolt profile helps in those tests. IMHO requiring them might add unnecessary complexity for users who are willing to participate since the profiles don't show the keyboard layout, only the language.

Agree, so I removed it.

  • Which test image will we use, that one specific for translators or an updated nightly build? IMHO we should use the one more updated at the time.

I planed to use F14 Beta Test Compose(Boot.iso CD DVD) as the main testing image, but since Alpha slipped for a week, Beta TC won't be available on 09-09 in some time zones[1]. And the nightly composed live image is not stable and can't reflect all the issues happened during install. So I don't know how to make this test day unless postponing it to 09-16, the next open slot. What do you think?

I also noticed that you put the l10n template on the page, do you also want to cover the tests on this template? Then I think there will be too many tests for a test day. But we can arrange another one for it if you want.

Thanks, Hurry [1] http://poelstra.fedorapeople.org/schedules/f-14/f-14-releng-tasks.html

comment:8 in reply to: ↑ 7 ; follow-up: ↓ 9 Changed 4 years ago by igor

Replying to rhe:

Hi Igor,

Sorry for the delay, finally I got the time to concentrate on it. I've read https://fedoraproject.org/wiki/Test_Day:2010-09-09_AnacondaTranslationKeyboard and made some modification on it, please review it. The main changes include:

  • The test day time changed to 'all day', since testers from different time zones will attend it.
  • Besides live image, I added pre-release candidates(Supposed to be F14 Beta TC) as requirements for testing.
  • The test result table changed for testers to offer results.

Thanks for making it better Hurry!

Replying to igor:

I started writing a draft page for the test day: https://fedoraproject.org/wiki/Test_Day:2010-09-09_AnacondaTranslationKeyboard

We need to discuss some details such as:

  • Time - Maybe you guys can suggest an UTC time that might be good for you. Normally I'm available between 14 UTC - 19 UTC and 23 UTC - 04:00 UTC just to let you know.

I'm normally available from 1 UTC - 11 UTC, and members from your team and i18n team can also come for help, so let's just write down 'all day' there. :)

Nice, it is better to host it during the whole day so we get more contributors.

  • Which test image will we use, that one specific for translators or an updated nightly build? IMHO we should use the one more updated at the time.

I planed to use F14 Beta Test Compose(Boot.iso CD DVD) as the main testing image, but since Alpha slipped for a week, Beta TC won't be available on 09-09 in some time zones[1]. And the nightly composed live image is not stable and can't reflect all the issues happened during install. So I don't know how to make this test day unless postponing it to 09-16, the next open slot. What do you think?

I'm in favor of postpone it but it seems to me that 09-16 is now occupied for the systemd test day [1]. So the the next open slot left is 10-07 which is pretty close to the Final Change Deadline. I still think it is worth postponing it if we are able to better test it that day.

I also noticed that you put the l10n template on the page, do you also want to cover the tests on this template? Then I think there will be too many tests for a test day. But we can arrange another one for it if you want.

You're right. I didn't realized that it could be too many tests. Let's stick to the keyboard tests for now, but is natural that some translation bugs will be noticed during those tests. Anyway it is a good idea to focus on our primary objective.

[1] https://fedoraproject.org/wiki/QA/Fedora_14_test_days

Regards, Igor

comment:9 in reply to: ↑ 8 ; follow-up: ↓ 10 Changed 4 years ago by rhe

Replying to igor:

Replying to rhe: <skip>

I'm in favor of postpone it but it seems to me that 09-16 is now occupied for the systemd test day [1]. So the the next open slot left is 10-07 which is pretty close to the Final Change Deadline. I still think it is worth postponing it if we are able to better test it that day.

Ah, right, it was occupied yesterday.:) I've asked Adam to see if we can exchange the time[*].

[*] https://fedorahosted.org/fedora-qa/ticket/104

I also noticed that you put the l10n template on the page, do you also want to cover the tests on this template? Then I think there will be too many tests for a test day. But we can arrange another one for it if you want.

You're right. I didn't realized that it could be too many tests. Let's stick to the keyboard tests for now, but is natural that some translation bugs will be noticed during those tests. Anyway it is a good idea to focus on our primary objective.

Thanks.

Rgds,

Hurry

comment:10 in reply to: ↑ 9 ; follow-up: ↓ 11 Changed 4 years ago by igor

I'm in favor of postpone it but it seems to me that 09-16 is now occupied for the systemd test day [1]. So the the next open slot left is 10-07 which is pretty close to the Final Change Deadline. I still think it is worth postponing it if we are able to better test it that day.

Ah, right, it was occupied yesterday.:) I've asked Adam to see if we can exchange the time[*].

[*] https://fedorahosted.org/fedora-qa/ticket/104

Nice, it would be a lot better to host it on 09-16. So let's wait for Adam's reply.

Thanks, Igor

comment:11 in reply to: ↑ 10 Changed 4 years ago by rhe

  • Summary changed from 'Translation/Keyboard in anaconda' Test Day - 2010/09/09 to 'Translation/Keyboard in anaconda' Test Day - 2010/09/16

Replying to igor:

Nice, it would be a lot better to host it on 09-16. So let's wait for Adam's reply.

Hi Igor, good news! Adam has agreed to exchange the time, so we'll host it on 09-16. I've moved the test day page to:

and added it to the test days schedule.

I think the next step is to improve the test cases. So how do you think about them? Is there anything we need to modify/correct/cover?

comment:12 follow-up: ↓ 13 Changed 4 years ago by igor

Great Hurry!

I will work on the test cases in the next days.

I don't think we need more test cases, just improve the ones we already have. For instance, I would like to add some post install steps, just to check if Anaconda did its job correctly during the installation. IMHO we should cover at least the installation using GNOME and KDE desktop environments and make that clear in the test cases. A few releases back some keymaps were buggy when using different toolkits. The Non-English European Language Install test case might need some changes to cover the differences between the languages as well. I will install F14 Alpha and see if there is something else we need to cover.

comment:13 in reply to: ↑ 12 Changed 4 years ago by rhe

Replying to igor:

Great Hurry!

I will work on the test cases in the next days.

I don't think we need more test cases, just improve the ones we already have. For instance, I would like to add some post install steps, just to check if Anaconda did its job correctly during the installation. IMHO we should cover at least the installation using GNOME and KDE desktop environments and make that clear in the test cases. A few releases back some keymaps were buggy when using different toolkits. The Non-English European Language Install test case might need some changes to cover the differences between the languages as well. I will install F14 Alpha and see if there is something else we need to cover.

Thank you Igor! You know about the translation/keyboards much better, so please go ahead and improve the tests as you want.

comment:14 follow-up: ↓ 15 Changed 4 years ago by aalam

I would like to help regarding i18n/l10n test cases. for Asian Languages, we need to add few steps, if user is using boot.iso or network install, then Stage I (anaconda) installer, Asian languages are using English text and Stage II, it starts with selected language. Keymap need to keep in English, default is English.

comment:15 in reply to: ↑ 14 ; follow-up: ↓ 16 Changed 4 years ago by rhe

Hi aalam,

Sorry for the delay.

Replying to aalam:

I would like to help regarding i18n/l10n test cases.

Welcome! Igor will also make some modifications on the tests, so please add your suggestion here like you did so that he can see it.

for Asian Languages, we need to add few steps, if user is using boot.iso or network install, then Stage I (anaconda) installer, Asian languages are using English text

Yeah, but I think for every language and media, before language selection step(stage 2), the output is English. Do I misunderstand anything?

and Stage II, it starts with selected language. Keymap need to keep in English, default is English.

For some Asian languages, such as Chinese and Korean, the default keymap is English. But for some ones like Japanese, the default one is their relative keymap such as Japanese keyboard. So the cases were designed to test the appropriate keymap and if it's selected as default.

comment:16 in reply to: ↑ 15 Changed 4 years ago by igor

Replying to rhe:

for Asian Languages, we need to add few steps, if user is using boot.iso or network install, then Stage I (anaconda) installer, Asian languages are using English text

Yeah, but I think for every language and media, before language selection step(stage 2), the output is English. Do I misunderstand anything?

The only situation different situation I can remember regarding this is when you compose a localized spin. In those situations the language is defined via kickstart before the language selection step in Anaconda. Otherwise, the output is in English before that step AFAIK.

and Stage II, it starts with selected language. Keymap need to keep in English, default is English.

For some Asian languages, such as Chinese and Korean, the default keymap is English. But for some ones like Japanese, the default one is their relative keymap such as Japanese keyboard. So the cases were designed to test the appropriate keymap and if it's selected as default.

The important in this case is to make sure that once the language is set then the appropriated keymap is automatically pointed by Anaconda, whether it is an English keymap or not.

comment:17 follow-up: ↓ 18 Changed 4 years ago by igor

I updated the test cases in [1] in order to improve the tests coverage. I added some post-install steps related to things defined during the installation. For instance, testing if the the root password matches the password set during installation. Other steps are to make sure that different applications are "understanding" the keymap defined by Anaconda.

[1] https://fedoraproject.org/wiki/Category:I18n_Installation

comment:18 in reply to: ↑ 17 ; follow-up: ↓ 19 Changed 4 years ago by rhe

Replying to igor:

I updated the test cases in [1] in order to improve the tests coverage. I added some post-install steps related to things defined during the installation.

Thanks Igor, I've seen your changes, the post-install check is essential, and it also has a better coverage now.

For instance, testing if the the root password matches the password set during installation.

Any particular reason why Asian Language install didn't have this step? AFAIK, it's the same as other cases, so I updated the case with this step and its expected result, hope you don't mind.

Thanks,
Hurry

comment:19 in reply to: ↑ 18 ; follow-up: ↓ 20 Changed 4 years ago by igor

Replying to rhe:

Replying to igor:

For instance, testing if the the root password matches the password set during installation.

Any particular reason why Asian Language install didn't have this step? AFAIK, it's the same as other cases, so I updated the case with this step and its expected result, hope you don't mind.

That was by bad Hurry, thanks for correcting it. This step was supposed to be present in all test cases but I missed that one.

Now we are in a good place for the test day. Is there anything else left that we need to take care?

Regards, Igor

comment:20 in reply to: ↑ 19 Changed 4 years ago by rhe

Replying to igor:

Now we are in a good place for the test day. Is there anything else left that we need to take care?

Thanks to you, this test day has been well prepared, and I think the only thing left is to ask for collaboration. I'll send announcement to test-list and local community one day or two before the test day time. Please also announce it in your team or post it somewhere in advance. Thank you!

comment:21 follow-up: ↓ 22 Changed 4 years ago by igor

Today I've sent announcements to -trans and LATAM lists. I also requested them to relay the message to local translation teams.

comment:22 in reply to: ↑ 21 Changed 4 years ago by rhe

Replying to igor:

Today I've sent announcements to -trans and LATAM lists. I also requested them to relay the message to local translation teams.

Thanks, I've also sent it to test-announce and local list. I talked with Jens earlier and he already forwarded the announce to i18n list. Hope we can have a good testing day.

comment:23 Changed 4 years ago by rhe

  • Status changed from assigned to closed
  • Resolution set to fixed

Test day was carried out successfully and Igor has sent out the test day recap:

Closing this ticket, thanks everyone.

Note: See TracTickets for help on using tickets.